package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalInstanceCcListFactory
{
    private FeishuApprovalInstanceCcListFactory()
    {
    }
    public static IFeishuApprovalInstanceCcList getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalInstanceCcList)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1ED0B57F") , IFeishuApprovalInstanceCcList.class);
    }
    
    public static IFeishuApprovalInstanceCcList getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalInstanceCcList)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1ED0B57F") , IFeishuApprovalInstanceCcList.class, objectCtx);
    }
    public static IFeishuApprovalInstanceCcList getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalInstanceCcList)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1ED0B57F"));
    }
    public static IFeishuApprovalInstanceCcList getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalInstanceCcList)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1ED0B57F"));
    }
}